Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pearsoneduc.ip.op
Class ThresholdOp

    java.lang.Object
      |
      +--com.pearsoneduc.ip.op.StandardGreyOp
            |
            +--com.pearsoneduc.ip.op.GreyMapOp
                  |
                  +--com.pearsoneduc.ip.op.ThresholdOp

public class ThresholdOp
extends GreyMapOp

Performs thresholding of grey levels in a BufferedImage.

Version:
  1.2 [1999/07/08]
Author:
  Nick Efford

Fields inherited from class com.pearsoneduc.ip.op.GreyMapOp
`table`

Constructor Summary
`ThresholdOp(int threshold)` Constructs a ThresholdOp with a single threshold.
`ThresholdOp(int low, int high)` Constructs a ThresholdOp from a pair of thresholds.

Method Summary
`void` | `computeMapping(int low, int high)` Computes a mapping from a pair of thresholds.
`void` | `setThreshold(int threshold)` Computes a mapping from a single threshold.
`void` | `setThresholds(int low, int high)` Computes a mapping from a pair of thresholds.

Methods inherited from class com.pearsoneduc.ip.op.GreyMapOp
`computeMapping, filter, getTableEntry, setTableEntry`

Methods inherited from class com.pearsoneduc.ip.op.StandardGreyOp
`checkImage, createCompatibleDestImage, getBounds2D, getPoint2D, getRenderingHints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThresholdOp

    public ThresholdOp(int threshold)

  Constructs a ThresholdOp with a single threshold.

### ThresholdOp

    public ThresholdOp(int low,
                       int high)

  Constructs a ThresholdOp from a pair of thresholds.

Method Detail

### setThreshold

    public void setThreshold(int threshold)

  Computes a mapping from a single threshold.

### setThresholds

    public void setThresholds(int low,
                              int high)

  Computes a mapping from a pair of thresholds.

### computeMapping

    public void computeMapping(int low,
                               int high)

  Computes a mapping from a pair of thresholds.
  Overrides:
    computeMapping in class GreyMapOp

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD